Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1444923 - Atomic will not run on ppc64 (no golang support, no skopeo)
Summary: Atomic will not run on ppc64 (no golang support, no skopeo)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: rawhide
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2017-04-24 14:37 UTC by Brent Baude
Modified: 2017-05-02 23:15 UTC (History)
9 users (show)

Fixed In Version: atomic-1.17.1-2.fc26 atomic-1.17.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-02 15:56:53 UTC


Attachments (Terms of Use)

Description Brent Baude 2017-04-24 14:37:03 UTC
Adding an exclude arch to atomic for ppc64 because there is no viable golang support and therefore no skopeo which is a required runtime dependency.  This however will allow atomic to build on ppc64le which is the preferred goland architecture for POWER.

Comment 1 Daniel Walsh 2017-04-24 14:45:18 UTC
This is something lokesh or you have to do to the spec file.

Comment 2 Brent Baude 2017-04-24 14:46:33 UTC
Yeah I did, this is just a tracking bug for the ppc64 exclude arch.

Comment 3 Fedora Update System 2017-04-24 14:54:47 UTC
atomic-1.17.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ed260082e

Comment 4 Fedora Update System 2017-04-24 15:16:54 UTC
atomic-1.17.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b9b0f308ed

Comment 5 Fedora Update System 2017-04-25 03:54:39 UTC
atomic-1.17.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b9b0f308ed

Comment 6 Fedora Update System 2017-04-25 21:28:37 UTC
atomic-1.17.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ed260082e

Comment 7 Fedora Update System 2017-05-02 15:56:53 UTC
atomic-1.17.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-05-02 23:15:21 UTC
atomic-1.17.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.